Commit 5d922909 authored by Daniel Brown's avatar Daniel Brown

Fixing import error on py <= 3.4

parent 15b16f50
......@@ -5,6 +5,11 @@ import pykat
import subprocess
branch = subprocess.check_output(["git","rev-parse","--abbrev-ref","HEAD"]).decode('utf8').rstrip()
if branch != 'master':
raise Exception("Trying to push non master branch!!")
version_git_1 = subprocess.check_output(["git", "describe","--long"]).decode('utf8').rstrip()
version_git = ".".join(version_git_1.split('-')[:2])
......
......@@ -4,8 +4,11 @@ from __future__ import print_function
from __future__ import unicode_literals
try:
from ._version import __version__
except ModuleNotFoundError as ex:
try:
from ._version import __version__
except ModuleNotFoundError as ex:
__version__ = "develop"
except (NameError, ImportError) as ex:
__version__ = "develop"
__min_req_finesse__ = 2.2
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment